Ubuntu 12.04 LTS - intel ips failed to update for more than 1s

Bug #1210848 reported by Nick Jenkins on 2013-08-10
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Joseph Salisbury
Precise
Medium
Joseph Salisbury
Quantal
Medium
Joseph Salisbury
Raring
Medium
Joseph Salisbury
Saucy
Medium
Joseph Salisbury
Wily
Medium
Joseph Salisbury

Bug Description

This has been flooding my logs. I also think it is preventing me from shutting down fully. I get an error on shutting down that says it failed to kill running processes. This is also an issue on 13.04 fully updated as of today.

uname -r
3.5.0-37-generic

Laptop: Asus G60Jx

Aug 10 15:19:32 Zion-Mobile kernel: [ 122.751459] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:33 Zion-Mobile kernel: [ 122.963105] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:33 Zion-Mobile kernel: [ 123.206692] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:33 Zion-Mobile kernel: [ 123.426263] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:33 Zion-Mobile kernel: [ 123.673854] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:33 Zion-Mobile kernel: [ 123.881550] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:34 Zion-Mobile kernel: [ 124.097187] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:34 Zion-Mobile kernel: [ 124.340773] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:34 Zion-Mobile kernel: [ 124.556346] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:34 Zion-Mobile kernel: [ 124.827943] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:35 Zion-Mobile kernel: [ 125.075527] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:35 Zion-Mobile kernel: [ 125.291103] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 10 15:19:35 Zion-Mobile kernel: [ 125.570636] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.5.0-37-generic 3.5.0-37.58~precise1
ProcVersionSignature: Ubuntu 3.5.0-37.58~precise1-generic 3.5.7.16
Uname: Linux 3.5.0-37-generic x86_64
NonfreeKernelModules: nvidia
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
ApportVersion: 2.0.1-0ubuntu17.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: protocol 1934 F.... pulseaudio
 /dev/snd/controlC0: protocol 1934 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf4900000 irq 48'
   Mixer name : 'Realtek ALC663'
   Components : 'HDA:10ec0663,10431333,00100001'
   Controls : 41
   Simple ctrls : 21
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xf3080000 irq 17'
   Mixer name : 'Nvidia GPU 0d HDMI/DP'
   Components : 'HDA:10de000d,10de0101,00100100'
   Controls : 24
   Simple ctrls : 4
Date: Sat Aug 10 15:32:28 2013
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=1a443d9f-be08-42de-9316-91f25c42dc71
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 (20130213)
Lsusb:
 Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 001 Device 003: ID 04f2:b071 Chicony Electronics Co., Ltd 2.0M UVC Webcam / CNF7129
MachineType: ASUSTeK Computer Inc. G60JX
MarkForUpload: True
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-37-generic root=UUID=773650ac-4ab3-406e-8e6c-4301eb23ee18 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.5.0-37-generic N/A
 linux-backports-modules-3.5.0-37-generic N/A
 linux-firmware 1.79.6
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/16/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 208
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: G60JX
dmi.board.vendor: PEGATRON CORPORATION
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: PEGATRON Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr208:bd08/16/2010:svnASUSTeKComputerInc.:pnG60JX:pvr1.0:rvnPEGATRONCORPORATION:rnG60JX:rvr1.0:cvnPEGATRONComputerInc.:ct10:cvr1.0:
dmi.product.name: G60JX
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: latest-bios-208 needs-upstream-testing raring
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Joseph Salisbury (jsalisbury) wrote :

Similar issue discussed upstream:
https://lkml.org/lkml/2012/6/25/215

Joseph Salisbury (jsalisbury) wrote :

Can you test the current mainline kernel[0], as requested in comment #3? I'll send a message upstream if the bug still exists in mainline, so it can be decided if we should blacklist this machine or come up with a better solution.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.11-rc5-saucy/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: kernel-da-key
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

I created a patch and built a Saucy test kernel, which can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1210848/

Can you test the kernel and post back if it resolves this bug? If it does, I can send the patch upstream and submit an SRU request for inclusion in the stable releases.

Note that you will have to install both the linux-image and linux-image-extra .deb packages.

Thanks in advance!

Joseph Salisbury,

I am rather new to this, do I install all 4 files located on that link?

From the saucy image install from step 3

First I ran:

sudo apt-get update && sudo apt-get upgrade -y && sudo apt-get dist-upgrade -y

Then I installed your (Joseph Salisbury) patch in this order:

linux-headers-3.11.0-2
linux-headers-3.11.0-2-generic
linux-image-3.11.0-2-generic
linux-image-extra-3.11.0-2-generic

Shutting down via GUI hung. Some info below:

* Killing all remaining processes... [fail]
modem-manager[674]: <info> Caught signal 15, shutting down...

* Deactivating swap... [ok]
mount: / is busy
* Will now halt
[ 2035.062909] mei_me 000:00:16.0: stop
[ 2035.303455] Power down.
##Never fully powered off##

Rebooted the system and logged in.
Was prompted about sending a bug report for bug #1206314 (did not submit because it's known).

/var/log/syslog still contains many entries for:
intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung

I am not sure what you would like done with the tags as mentioned in comment 3.

Nick Jenkins, did this problem not occur in a release prior to Precise?

tags: added: saucy
tags: added: regression-potential

Christopher M. Penalver,

I do not recall, but if I remember correctly, when I install Ubuntu 13.04 from DVD the issue is not there. Only when updating past the initial install did I start having issues.

Nick Jenkins, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.11-rc5

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: regression-release
removed: regression-potential
Joseph Salisbury (jsalisbury) wrote :

Hi Nick,

From the link http://kernel.ubuntu.com/~jsalisbury/lp1210848/ you will want to install the following two .dpkg packages, and then reboot into the new kernel:

linux-image-3.11.0-2-generic_3.11.0-2.5~lp1210848_amd64.deb
linux-image-extra-3.11.0-2-generic_3.11.0-2.5~lp1210848_amd64.deb

The .deb packages can be install using the dpkg command with sudo and the -i option. For example:

sudo dpkg -i linux-image-3.11.0-2-generic_3.11.0-2.5~lp1210848_amd64.deb
sudo dpkg -i linux-image-extra-3.11.0-2-generic_3.11.0-2.5~lp1210848_amd64.deb

Changed in linux (Ubuntu):
status: Incomplete → In Progress

Joseph,

See comment #8
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1210848/comments/8

Except, I no longer see those errors in the logs. But the system still does not shut down.

* Asking all remaining processes to terminate... [ok]
* Killing all remaining processes... [fail]
modem-manager[589]: <info> Caught signal 15, shutting down...

* Deactivating swap... [ok]
mount: / is busy
* Will now halt
[ 346.628883] mei_me 000:00:16.0: stop
[ 346.681238] reboot: Power down.

Christopher,

That is my next step.

Christopher M. Penalver,

Do I need to re-install to a non-saucy salamander to do test the mainline kernel? If so which one?

Nick Jenkins, you would not have to re-install to a non-Saucy Salamander to test the latest mainline kernel (v3.11-rc5).

So the set I would want to test is #5?

5. tags from the combined v2.6.32.x.y tree (by StefanBader) which is v2.6.32.x with DRM from 2.6.33.y.

Is that correct?

I'm not really sure what to do, I'm more of an end user when it comes to linux and I don't know how to use that wiki page to test what is requested.

Joseph Salisbury (jsalisbury) wrote :

I don't think it is nessessarry to install the mainline kernel at this point. The latest 3.11-rc5 kernel does not have your system blacklisted in the Intel IPS code.

The kernel I mentioned in comment #6 blacklists your machine in the IPS code. It sounds like it stops these messages from spamming your log, per comment #13. I will submit this patch upstream and to the Ubuntu kernel team mailing list.

You also mentioned the system still does not shut down. That is probably a separate bug. Can you open a new bug for that issue?

Changed in linux (Ubuntu Precise):
status: New → In Progress
Changed in linux (Ubuntu Quantal):
status: New → In Progress
Changed in linux (Ubuntu Raring):
status: New → In Progress
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
Changed in linux (Ubuntu Precise):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Quantal):
importance: Undecided → Medium
Changed in linux (Ubuntu Raring):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Joseph Salisbury (jsalisbury)
Tim Gardner (timg-tpi) on 2013-08-14
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
celio de souza (cdsouz) wrote :

Could not install 'linux-image-3.11.0-2-generic

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.11.0-3.6

---------------
linux (3.11.0-3.6) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] tools: conditionalise x86 and hyper-v tools sensibly
  * [Config] tools: enable x86 and hyper-v

  [ John Johansen ]

  * Revert "SAUCE: (no-up) apparmor: Sync to apparmor 3 dev stable
    snapshot"
  * Revert "SAUCE: (no-up) apparmor: fix apparmor module status for none
    root users"
  * SAUCE: (no-up) apparmor: Sync to apparmor 3 - alpha 4 snapshot

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Kamal Mostafa ]

  * [debian] tools: ship 'cpupower' in linux-tools
    - LP: #1158668
  * [Config] Build-dep on libpci-dev for cpu tools
    - LP: #1158668

  [ Tim Gardner ]

  * rebase to v3.11-rc6
  * Release tracker
    - LP: #1213941
 -- Tim Gardner <email address hidden> Fri, 16 Aug 2013 07:02:07 -0600

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Joseph Salisbury (jsalisbury) wrote :

Hi Nick,

I'm working with upstream to implement a solution that does not require blacklisting specific machines. I created a test kernel where the ips_monitor thread will exit if the ME doesn't update for more than 30s.

Can you test this kernel and post back the messages it writes to the log? It can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1210848/

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-needed-quantal
tags: added: verification-needed-raring

In response to comment #21

It still shows the intel ips has hung, but only a few lines.

Aug 26 20:14:56 Zion-Mobile acpid: waiting for events: event logging is off
Aug 26 20:14:57 Zion-Mobile ntpdate[922]: Can't find host ntp.ubuntu.com: Name or service not known (-2)
Aug 26 20:14:57 Zion-Mobile ntpdate[922]: no servers can be used, exiting
Aug 26 20:14:57 Zion-Mobile kernel: [ 11.727360] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:57 Zion-Mobile kernel: [ 11.935480] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:57 Zion-Mobile kernel: [ 12.135621] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:57 Zion-Mobile kernel: [ 12.344412] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:57 Zion-Mobile NetworkManager[799]: <info> VPN: loaded org.freedesktop.NetworkManager.pptp
Aug 26 20:14:57 Zion-Mobile NetworkManager[799]: <info> DNS: loaded plugin dnsmasq
Aug 26 20:14:58 Zion-Mobile dbus[587]: [system] Activating service name='org.freedesktop.PolicyKit1' (using servicehelper)
Aug 26 20:14:58 Zion-Mobile kernel: [ 12.731880] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:58 Zion-Mobile kernel: [ 12.951958] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:58 Zion-Mobile polkitd[962]: started daemon version 0.105 using authority implementation `local' version `0.105'
Aug 26 20:14:58 Zion-Mobile dbus[587]: [system] Successfully activated service 'org.freedesktop.PolicyKit1'
Aug 26 20:14:58 Zion-Mobile kernel: [ 13.152157] intel ips 0000:00:1f.6: ME failed to update for more than 1s, likely hung
Aug 26 20:14:58 Zion-Mobile NetworkManager[799]: SCPlugin-Ifupdown: init!
Aug 26 20:14:58 Zion-Mobile NetworkManager[799]: SCPlugin-Ifupdown: update_system_hostname
Aug 26 20:14:58 Zion-Mobile NetworkManager[799]: SCPluginIfupdown: management mode: unmanaged

Joseph Salisbury (jsalisbury) wrote :

Thanks for testing, Nick. I expect there to be less messages. I changed the hang check from 1s to 30s. Do the messages eventually stop entirely after you get the initial bunch of them?

These are the only intel ips related messages in the /var/log/syslog from booting it up today:

Aug 27 23:19:55 Zion-Mobile kernel: [ 11.440670] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
Aug 27 23:19:55 Zion-Mobile kernel: [ 11.440876] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled until i915 loads
Aug 27 23:19:55 Zion-Mobile kernel: [ 11.441008] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90

via: cat /var/log/syslog | grep Aug\ 27 | grep intel\ ips | less

Joseph Salisbury (jsalisbury) wrote :

Did you happen to shutdown and reboot since you got the messages posted in comment #25?

Yes. I shut it down fully on the 26h. The logs from above are from the 27th only boot.

Joseph Salisbury (jsalisbury) wrote :

Can you run uname -a on your system? I would expect to see this message:
ME failed to update for more than 1s, likely hung

to have changed to this message:
ME failed to update for more than 30s, likely hung so returning

This is my cold boot today:

cat /var/log/syslog | grep Aug\ 28 | grep intel\ ips && uname -a
Aug 28 20:45:02 Zion-Mobile kernel: [ 12.144622] intel ips 0000:00:1f.6: CPU TDP doesn't match expected value (found 25, expected 29)
Aug 28 20:45:02 Zion-Mobile kernel: [ 12.144848] intel ips 0000:00:1f.6: failed to get i915 symbols, graphics turbo disabled until i915 loads
Aug 28 20:45:02 Zion-Mobile kernel: [ 12.144952] intel ips 0000:00:1f.6: IPS driver initialized, MCP temp limit 90

Linux Zion-Mobile 3.11.0-3-generic #7~lp1210848v1 SMP Thu Aug 22 16:58:06 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Joseph Salisbury (jsalisbury) wrote :

Nick, could you test the latest kernel in -proposed and verify that my original patch now fixes this bug? I'll create a new bug if a new patch comes from upstream for this issue.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.

Thank you in advance!

I tried to follow that with the saucy build I have, replacing precise with saucy, and didnt work. Sorry, I am kind of new to this level of linux.

Brad Figg (brad-figg) on 2013-08-30
tags: added: verification-done-precise verification-done-quantal verification-done-raring
removed: verification-needed-precise verification-needed-quantal verification-needed-raring
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package linux - 3.8.0-30.44

---------------
linux (3.8.0-30.44) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215596

  [ Upstream Kernel Changes ]

  * Don't attempt to send extended INQUIRY command if skip_vpd_pages is set
    - LP: #1215155

linux (3.8.0-30.43) raring; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1215095

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Brad Figg ]

  * Start new release

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Kamal Mostafa ]

  * SAUCE: (no-up) Revert "SAUCE: (no-up) drm/i915: quirk no PCH_PWM_ENABLE
    for Dell XPS13 backlight"

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * Revert "drm/i915: Workaround incoherence between fences and LLC across
    multiple CPUs"
    - LP: #1207977
  * xen/blkback: Check device permissions before allowing OP_DISCARD
    - LP: #1207977
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1207977
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1207977
  * drm/i915: Correct obj->mm_list link to
    dev_priv->dev_priv->mm.inactive_list
    - LP: #1207977
  * drm/i915: fix up ring cleanup for the i830/i845 CS tlb w/a
    - LP: #1207977
  * Partially revert "drm/i915: unconditionally use mt forcewake on
    hsw/ivb"
    - LP: #1207977
  * drm/i915: Fix write-read race with multiple rings
    - LP: #1207977
  * drm/i915: merge {i965, sandybridge}_write_fence_reg()
    - LP: #1207977
  * drm/i915: Fix incoherence with fence updates on Sandybridge+
    - LP: #1207977
  * drm/i915: rename sdvox_reg to hdmi_reg on HDMI context
    - LP: #1207977
  * drm/i915: don't setup hdmi for port D edp in ddi_init
    - LP: #1207977
  * drm/i915: Preserve the DDI_A_4_LANES bit from the bios
    - LP: #1207977
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1207977
  * drm/radeon: allocate SA bo in the requested domain
    - LP: #1207977
  * drm/radeon: allow selection of alignment in the sub-allocator
    - LP: #1207977
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1207977
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1207977
  * ext4: fix error handling in ext4_ext_truncate()
    - LP: #1207977
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1207977
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: usx2y: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ALSA: pxa2xx: Fix unlocked snd_pcm_stop() call
    - LP: #1207977
  * ASoC: atmel: Fix unl...

Read more...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (13.1 KiB)

This bug was fixed in the package linux - 3.2.0-53.81

---------------
linux (3.2.0-53.81) precise; urgency=low

  [ Tim Gardner ]

  * SAUCE: net: ifb: Added include file <linux/sched.h>

linux (3.2.0-53.80) precise; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1215173

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * qla2xxx: Properly set the tagging for commands.
    - LP: #1189928
  * r8169: fix offloaded tx checksum for small packets.
    - LP: #1214984
  * printk: Fix rq->lock vs logbuf_lock unlock lock inversion
    - LP: #1214984
  * zfcp: fix adapter (re)open recovery while link to SAN is down
    - LP: #1214984
  * zfcp: block queue limits with data router
    - LP: #1214984
  * zfcp: status read buffers on first adapter open with link down
    - LP: #1214984
  * ahci: Add AMD CZ SATA device ID
    - LP: #1214984
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1214984
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1214984
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1214984
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1214984
  * zram: avoid access beyond the zram device
    - LP: #1214984
  * zram: protect sysfs handler from invalid memory access
    - LP: #1214984
  * ahci: remove pmp link online check in FBS EH
    - LP: #1214984
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1214984
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1214984
  * b43: ensue that BCMA is "y" when B43 is "y"
    - LP: #1214984
  * ath9k_hw: Assign default xlna config for AR9485
    - LP: #1214984
  * ath9k: fill channel mode in caldata
    - LP: #1214984
  * ath9k: Fix noisefloor calibration
    - LP: #1214984
  * ath9k: Do not assign noise for NULL caldata
    - LP: #1214984
  * Bluetooth: Fix crash in l2cap_build_cmd() with small MTU
    - LP: #1214984
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1214984
  * rtlwifi: rtl8192cu: Add new USB ID for TP-Link TL-WN8200ND
    - LP: #1214984
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1214984
  * xhci: check for failed dma pool allocation
    - LP: #1214984
  * drivers: hv: switch to use mb() instead of smp_mb()
    - LP: #1214984
  * media: dmxdev: remove dvb_ringbuffer_flush() on writer side
    - LP: #1214984
  * rtlwifi: rtl8192cu: Fix duplicate if test
    - LP: #1214984
  * hw_breakpoint: Use cpu_possible_mask in {reserve,release}_bp_slot()
    - LP: #1214984
  * ata_piix: IDE-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1214984
  * ahci: AHCI-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1214984
  * iommu/amd: Only unmap large pages from the first pte
    - LP: #1214984
  * ARM: 7765/1: ...

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (14.8 KiB)

This bug was fixed in the package linux - 3.5.0-40.62

---------------
linux (3.5.0-40.62) quantal; urgency=low

  [ Brad Figg ]

  * [Config] KUSER_HELPERS = Y
  * Release Tracking Bug
    - LP: #1215129

linux (3.5.0-40.61) quantal; urgency=low

  [ Andy Whitcroft ]

  * [Packaging] supply perf with appropriate prefix to ensure use of local
    config
    - LP: #1206200
    - CVE-2013-1060

  [ John Johansen ]

  * Revert "SAUCE: (no-up) AppArmor: Disable Add PR_{GET,SET}_NO_NEW_PRIVS
    to prevent execve from granting privs"
    - LP: #1202161

  [ Joseph Salisbury ]

  * SAUCE: (no-up) intel_ips: blacklist ASUSTek G60JX laptops
    - LP: #1210848

  [ Stefan Bader ]

  * (debian) Abort build on unresolved symbols
    - LP: #1166197

  [ Tim Gardner ]

  * [Config] Include rbd and kvm in the virtual inclusion list
    - LP: #1206961

  [ Upstream Kernel Changes ]

  * ALSA: usb: Parse UAC2 extension unit like for UAC1
    - LP: #1212430
  * Btrfs: fix hash overflow handling
    - LP: #1091187, #1091188
    - CVE-2012-5375
  * [media] media: dmxdev: remove dvb_ringbuffer_flush() on writer side
    - LP: #1214956
  * writeback: Fix periodic writeback after fs mount
    - LP: #1214956
  * nfsd4: fix decoding of compounds across page boundaries
    - LP: #1214956
  * ARM: shmobile: emev2 GIO3 resource fix
    - LP: #1214956
  * uprobes: Fix return value in error handling path
    - LP: #1214956
  * tracing: Fix irqs-off tag display in syscall tracing
    - LP: #1214956
  * [CIFS] use sensible file nlink values if unprovided
    - LP: #1214956
  * ASoC: sglt5000: Fix the default value of CHIP_SSS_CTRL
    - LP: #1214956
  * ASoC: sglt5000: Fix SGTL5000_PLL_FRAC_DIV_MASK
    - LP: #1214956
  * [SCSI] megaraid_sas: fix memory leak if SGL has zero length entries
    - LP: #1214956
  * iscsi-target: Fix tfc_tpg_nacl_auth_cit configfs length overflow
    - LP: #1214956
  * dm mpath: fix ioctl deadlock when no paths
    - LP: #1214956
  * dm verity: fix inability to use a few specific devices sizes
    - LP: #1214956
  * lockd: protect nlm_blocked access in nlmsvc_retry_blocked
    - LP: #1214956
  * ext4: don't show usrquota/grpquota twice in /proc/mounts
    - LP: #1214956
  * perf: Clone child context from parent context pmu
    - LP: #1214956
  * perf: Remove WARN_ON_ONCE() check in __perf_event_enable() for valid
    scenario
    - LP: #1214956
  * perf: Fix perf_lock_task_context() vs RCU
    - LP: #1214956
  * ext4: don't allow ext4_free_blocks() to fail due to ENOMEM
    - LP: #1214956
  * drm/radeon/hdmi: make sure we have an afmt block assigned
    - LP: #1214956
  * ACPI / memhotplug: Fix a stale pointer in error path
    - LP: #1214956
  * PM / Sleep: avoid 'autosleep' in shutdown progress
    - LP: #1214956
  * radeon kms: do not flush uninitialized hotplug work
    - LP: #1214956
  * svcrdma: underflow issue in decode_write_list()
    - LP: #1214956
  * ALSA: asihpi: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: atiixp: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: 6fire: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: ua101: Fix unlocked snd_pcm_stop() call
    - LP: #1214956
  * ALSA: usx...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Joseph Salisbury (jsalisbury) wrote :

@Nick, do you still happen to have this hardware? We are currently still blacklisting this specific mode and that was not sent upstream. I'd like to come up with a better solution and not use a blacklist.

Thanks in advance!

Changed in linux (Ubuntu Wily):
status: Fix Released → In Progress

@Joseph (jsalisbury)

Yes, I still have this laptop. it is currently installed with Windows 7 for the pending OEM Windows 10 upgrade. I have a spare HDD I can swap out for testing for a Linux install though. What would you like me to try out?

Joseph Salisbury (jsalisbury) wrote :

We are still using a blacklist for ASUSTek G60JX laptops in the Ubuntu kernel. Would it be possible for you to install Ubuntu on the other harddisk and then install the latest mainline kernel to see if the bug still happens? If it does, I'd like to create a new patch and avoid the blacklist.

The latest mainline kernel can be download from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.2-rc2-unstable/

Andy Whitcroft (apw) on 2015-07-23
Changed in linux (Ubuntu Wily):
status: In Progress → Fix Committed
Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Wily):
status: Fix Committed → Fix Released
Joseph Salisbury (jsalisbury) wrote :

Does anyone affected by this bug still have hardware to test the latest mainline kernel? There was a blacklist entry added for this system and a proper patch would be better.

The latest mainline kernel can be downloaded from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.6-yakkety/

To post a comment you must log in.